Name:           libfprint-elanmoc2
Version:        1.94.7
Release:        1%{?dist}
Summary:        Toolkit for fingerprint scanner

License:        LGPLv2+
URL:            https://fprint.freedesktop.org/
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  cmake
BuildRequires:  glib2-devel
BuildRequires:  libgusb-devel
BuildRequires:  cairo-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  nss-devel
BuildRequires:  libgudev-devel
BuildRequires:  gtk-doc
BuildRequires:  pixman-devel
#Requires:       

%description
libfprint offers support for consumer fingerprint reader devices.

%package        tests                                                                     
Summary:        Tests for the %{name} package                                             
Requires:       %{name}%{?_isa} = %{version}-%{release}                                   
                                                                                          
%description tests                                                                        
The %{name}-tests package contains tests that can be used to verify                       
the functionality of the installed %{name} package.                                       

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup


%build
%meson
meson compile -C %{__cmake_builddir}

%install
rm -rf $RPM_BUILD_ROOT
%meson_install -C %{__cmake_builddir}


%{?ldconfig_scriptlets}

%check
%meson_test -C %{__cmake_builddir} -t 4

%files
%license COPYING
%doc NEWS THANKS AUTHORS README.md
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/*.typelib                                                     
%{_udevhwdbdir}/60-autosuspend-libfprint-2.hwdb                                           
%{_udevrulesdir}/70-libfprint-2.rules                                                     

%files devel
%doc HACKING.md
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc                                                         
%{_datadir}/gir-1.0/*.gir                                                                 
%{_datadir}/gtk-doc/html/libfprint-2/                                                     

%files tests                                                                              
%{_libexecdir}/installed-tests/libfprint-2/                                               
%{_datadir}/installed-tests/libfprint-2/                                                  

%changelog
* Tue Sep 24 2024 Eugene Misnik <eugene.misnik@habital.lv> - 1.94.7-1
- Build for RHEL 9
